Bug 977072 - Update polyclipping to 5.1.6 and install agg_conv_clipper.h
Update polyclipping to 5.1.6 and install agg_conv_clipper.h
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: polyclipping (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 05:07 EDT by Tom Hughes
Modified: 2013-08-01 23:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: polyclipping-5.1.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 17:18:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to 5.1.6 and install agg_conv_clipper.h (1.00 KB, patch)
2013-06-23 05:07 EDT, Tom Hughes
no flags Details | Diff

  None (edit)
Description Tom Hughes 2013-06-23 05:07:56 EDT
Created attachment 764270 [details]
Update to 5.1.6 and install agg_conv_clipper.h

I maintain the mapnik package and the latest release (2.2.0) of mapnik requires clipper. Upstream it includes it as a bundled dependency but obviously for Fedora we don't want to do that.

In addition to the core of clipper mapnik needs the agg wrapper provided in the clipper source as agg_conv_clipper.h which is not currently installed by the Fedora package.

The attached patch against the package git repo updates clipper to the latest version and causes agg_conv_clipper.h to be included in the installed package and I would be grateful if you could consider applying it.
Comment 1 Volker Fröhlich 2013-06-24 17:18:03 EDT
Thank you for the patch! Rawhide now features 5.1.6. I consider pushing it to F19 too. Any concerns on your side?
Comment 2 Tom Hughes 2013-06-24 17:23:25 EDT
I don't have a problem with putting it in F19 though I think manpik 2.2 will probably only make it to F20 because it depends on a whole bunch of patches to agg as well.
Comment 3 Volker Fröhlich 2013-07-22 16:17:08 EDT
With all relevant F20 builds in place, we're trying to get it into F19.
Comment 4 Fedora Update System 2013-07-22 16:39:52 EDT
polyclipping-5.1.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/polyclipping-5.1.6-2.fc19
Comment 5 Fedora Update System 2013-07-23 07:49:08 EDT
polyclipping-5.1.6-2.fc19,perl-Math-Clipper-1.22-4.fc19,repsnapper-2.2.0-0.3.a4.fc19,saga-2.0.8-11.fc19,vfrnav-20130723-1.fc19,slic3r-0.9.10b-2.fc19,CuraEngine-13.06.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/polyclipping-5.1.6-2.fc19,perl-Math-Clipper-1.22-4.fc19,repsnapper-2.2.0-0.3.a4.fc19,saga-2.0.8-11.fc19,vfrnav-20130723-1.fc19,slic3r-0.9.10b-2.fc19,CuraEngine-13.06.3-3.fc19
Comment 6 Fedora Update System 2013-08-01 23:23:32 EDT
polyclipping-5.1.6-2.fc19, perl-Math-Clipper-1.22-4.fc19, repsnapper-2.2.0-0.3.a4.fc19, saga-2.0.8-11.fc19, vfrnav-20130723-1.fc19, slic3r-0.9.10b-2.fc19, CuraEngine-13.06.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.